<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.image.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.web.*?>
<?import javafx.scene.control.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>

<GridPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="800.0" prefWidth="800.0" xmlns="http://javafx.com/javafx/8.0.40" xmlns:fx="http://javafx.com/fxml/1" fx:controller="cz.vse.java.xname.adventuracv.main.HomeController">
  <columnConstraints>
    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="150.0" />
    <ColumnConstraints hgrow="ALWAYS" minWidth="10.0" prefWidth="100.0" />
      <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="150.0" />
  </columnConstraints>
  <rowConstraints>
    <RowConstraints minHeight="10.0" prefHeight="40.0" vgrow="NEVER" />
      <RowConstraints minHeight="10.0" vgrow="NEVER" />
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
    <RowConstraints minHeight="10.0" prefHeight="50.0" vgrow="NEVER" />
  </rowConstraints>
   <children>
      <MenuBar GridPane.columnSpan="2147483647">
        <menus>
          <Menu mnemonicParsing="false" text="Soubor">
            <items>
              <MenuItem mnemonicParsing="false" text="Close" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" text="Nápověda">
            <items>
              <MenuItem mnemonicParsing="false" text="About" />
            </items>
          </Menu>
        </menus>
         <GridPane.margin>
            <Insets bottom="10.0" />
         </GridPane.margin>
      </MenuBar>
      <TextArea fx:id="vystup" prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="2" />
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnSpan="2147483647" GridPane.rowIndex="3">
         <children>
            <TextField fx:id="vstup" onAction="#zpracujVstup" HBox.hgrow="ALWAYS">
               <HBox.margin>
                  <Insets />
               </HBox.margin>
            </TextField>
            <Button fx:id="odesli" mnemonicParsing="false" onAction="#zpracujVstup" text="Odešli" />
         </children>
         <GridPane.margin>
            <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
         </GridPane.margin>
      </HBox>
      <ListView fx:id="seznamVychodu" onMouseClicked="#kliknutiNaVychod" prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="2" />
      <TitledPane animated="false" text="Mapa" GridPane.columnSpan="2147483647" GridPane.rowIndex="1">
         <content>
            <HBox prefHeight="100.0" prefWidth="200.0">
               <children>
                  <Region prefHeight="200.0" prefWidth="200.0" HBox.hgrow="ALWAYS" />
                  <AnchorPane prefHeight="300.0" prefWidth="200.0">
                     <children>
                        <ImageView fitHeight="300.0" fitWidth="500.0" pickOnBounds="true" preserveRatio="true">
                           <image>
                              <Image url="@cz/vse/java/xname/adventuracv/main/herniPlan.png" />
                           </image>
                        </ImageView>
                        <ImageView fx:id="hrac" fitHeight="93.0" fitWidth="96.0" pickOnBounds="true" preserveRatio="true">
                           <image>
                              <Image url="@cz/vse/java/xname/adventuracv/gui/Troll-face.sh.png" />
                           </image>
                        </ImageView>
                     </children>
                  </AnchorPane>
                  <Region prefHeight="200.0" prefWidth="200.0" HBox.hgrow="ALWAYS" />
               </children>
            </HBox>
         </content>
      </TitledPane>
   </children>
</GridPane>
